
package gunav2.keymon.com.mx;

import anywheresoftware.b4a.pc.PCBA;
import anywheresoftware.b4a.pc.RemoteObject;

public class c_bitacora {
    public static RemoteObject myClass;
	public c_bitacora() {
	}
    public static PCBA staticBA = new PCBA(null, c_bitacora.class);

public static RemoteObject __c = RemoteObject.declareNull("anywheresoftware.b4a.keywords.Common");
public static RemoteObject _root = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper");
public static RemoteObject _xui = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper.XUI");
public static RemoteObject _db = RemoteObject.declareNull("anywheresoftware.b4a.sql.SQL");
public static RemoteObject _root2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.B4XViewWrapper");
public static RemoteObject _p_transparenteiniciofin2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.PanelWrapper");
public static RemoteObject _b_inicio_fin_venta2 = RemoteObject.declareNull("anywheresoftware.b4a.objects.ButtonWrapper");
public static RemoteObject _contadoriniciarventa = RemoteObject.createImmutable(0);
public static RemoteObject _precision = RemoteObject.createImmutable(0);
public static RemoteObject _inivenno = RemoteObject.createImmutable(false);
public static RemoteObject _dentrodegeocerca = RemoteObject.createImmutable(false);
public static RemoteObject _enventa = RemoteObject.createImmutable(false);
public static RemoteObject _motivonoventa = RemoteObject.createImmutable("");
public static RemoteObject _motivonovisita = RemoteObject.createImmutable("");
public static RemoteObject _banderageocerca = RemoteObject.createImmutable("");
public static RemoteObject _reqmanager = RemoteObject.declareNull("gunav2.keymon.com.mx.dbrequestmanager");
public static RemoteObject _dateutils = RemoteObject.declareNull("b4a.example.dateutils");
public static gunav2.keymon.com.mx.main _main = null;
public static gunav2.keymon.com.mx.starter _starter = null;
public static gunav2.keymon.com.mx.subs _subs = null;
public static gunav2.keymon.com.mx.appupdater _appupdater = null;
public static gunav2.keymon.com.mx.tracker _tracker = null;
public static gunav2.keymon.com.mx.firebasemessaging _firebasemessaging = null;
public static gunav2.keymon.com.mx.mapa_rutas _mapa_rutas = null;
public static gunav2.keymon.com.mx.newinst2 _newinst2 = null;
public static gunav2.keymon.com.mx.b4xpages _b4xpages = null;
public static gunav2.keymon.com.mx.b4xcollections _b4xcollections = null;
public static gunav2.keymon.com.mx.httputils2service _httputils2service = null;
public static gunav2.keymon.com.mx.xuiviewsutils _xuiviewsutils = null;
public static Object[] GetGlobals(RemoteObject _ref) throws Exception {
		return new Object[] {"b_Inicio_Fin_venta2",_ref.getField(false, "_b_inicio_fin_venta2"),"banderaGeoCerca",_ref.getField(false, "_banderageocerca"),"contadorIniciarVenta",_ref.getField(false, "_contadoriniciarventa"),"DateUtils",_ref.getField(false, "_dateutils"),"db",_ref.getField(false, "_db"),"dentroDeGeocerca",_ref.getField(false, "_dentrodegeocerca"),"enVenta",_ref.getField(false, "_enventa"),"IniVenNO",_ref.getField(false, "_inivenno"),"motivoNoVenta",_ref.getField(false, "_motivonoventa"),"motivoNoVisita",_ref.getField(false, "_motivonovisita"),"p_transparenteInicioFin2",_ref.getField(false, "_p_transparenteiniciofin2"),"precision",_ref.getField(false, "_precision"),"reqManager",_ref.getField(false, "_reqmanager"),"Root",_ref.getField(false, "_root"),"Root2",_ref.getField(false, "_root2"),"xui",_ref.getField(false, "_xui")};
}
}